@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
    /* font-family: "Montserrat", sans-serif; */
    /* font-family: "Roboto Mono", monospace; */
    /* font-family: "Yeseva One", serif; */
    /* font-family: "Arvo", serif; */
    /* font-family: "Fjord One", serif; */
    /* font-family: "Merriweather", serif; */
    font-family: "Poppins", sans-serif;
    font-optical-sizing: auto;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: rgb(54, 54, 54);
}
html {
    scroll-snap-type: proximity;
    scroll-behavior: smooth;
}

.hero {
    /* height: 130vh; */
    height: 100vh;
    display: flex;
    flex-direction: column;
    /* background: #34b8b816 */
}

nav {
    margin: 1em clamp(1em, 4vw, 4em);
    display: flex;
    position: relative;
    justify-content: space-between;
    font-family: "Oswald", sans-serif;
    .ham {
        display: none;
        width: 30px;
        height: 30px;
    }
    .close-btn {
        display: none;
    }
}
.logo {
    display: flex;
    font-size: 15px;
    align-items: center;
    width: 20%;
}
.logo h3 {
    align-self: flex-end;
}

.logo img {
    width: 25px;
    height: 30px;
}

nav .top-links {
    width: 100%;
    list-style: none;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: calc((20% / 3));
}
nav .top-links li a {
    text-decoration: none;
    cursor: pointer;
    font-weight: 500;
    color: rgb(161, 161, 161);
    font-size: 14px;
    transition: all 0.5s ease-in-out;
}
nav .top-links li:first-child a,
nav .top-links li a:hover {
    color: #ee9d1b;
    font-weight: 600;
}
.actions {
    width: 20%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 20px;
    height: fit-content;
}
.actions a {
    font-size: 14px;
    font-weight: 600;
}

.login-btn {
    background: #ee9d1b;
    outline: none;
    border: none;
    border-radius: 6px;
    color: white;
    font-size: 0.9rem;
    font-weight: 500;
    padding: 0.5em 1em;
}
.hero main {
    height: 100%;
    width: 100%;
    position: relative;
    /* overflow: hidden; */
}
.circle {
    position: absolute;
    width: max(40vw, 50vh);
    height: max(40vw, 50vh);
    border-radius: 100%;
    background: #34b8b80a;
    animation: circle-anim cubic-bezier(0.95, 0.05, 0.795, 0.035) var(--d)
        alternate-reverse infinite;
    /* animation-duration: (--d,4s); */
    animation-delay: var(--i, 1s);
}
.hero main .circle:first-child {
    top: -30%;
    left: 10%;
}
.hero main .circle:nth-of-type(2) {
    right: 0;
    /* background: red; */
}
@keyframes circle-anim {
    0% {
        scale: 0.8;
    }
    100% {
        scale: 1;
    }
}

.hero--text {
    position: relative;
    z-index: 4;
    font-family: "Oswald", sans-serif;
    text-align: center;
    font-weight: 700;
    font-size: clamp(2em, 4vw, 4em);
    text-transform: capitalize;
    max-width: 50%;
}
#nav {
    display: none;
}

mark {
    /* margin-left: 20px; */
    position: relative;
    background-color: #34b8b7;
    color: white;
}
.hero-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2000 1500'%3E%3Cdefs%3E%3CradialGradient id='a' gradientUnits='objectBoundingBox'%3E%3Cstop offset='0' stop-color='%23EEEAE2'/%3E%3Cstop offset='1' stop-color='%23FFFFFF'/%3E%3C/radialGradient%3E%3ClinearGradient id='b' gradientUnits='userSpaceOnUse' x1='0' y1='750' x2='1550' y2='750'%3E%3Cstop offset='0' stop-color='%23f7f5f1'/%3E%3Cstop offset='1' stop-color='%23FFFFFF'/%3E%3C/linearGradient%3E%3Cpath id='s' fill='url(%23b)' d='M1549.2 51.6c-5.4 99.1-20.2 197.6-44.2 293.6c-24.1 96-57.4 189.4-99.3 278.6c-41.9 89.2-92.4 174.1-150.3 253.3c-58 79.2-123.4 152.6-195.1 219c-71.7 66.4-149.6 125.8-232.2 177.2c-82.7 51.4-170.1 94.7-260.7 129.1c-90.6 34.4-184.4 60-279.5 76.3C192.6 1495 96.1 1502 0 1500c96.1-2.1 191.8-13.3 285.4-33.6c93.6-20.2 185-49.5 272.5-87.2c87.6-37.7 171.3-83.8 249.6-137.3c78.4-53.5 151.5-114.5 217.9-181.7c66.5-67.2 126.4-140.7 178.6-218.9c52.3-78.3 96.9-161.4 133-247.9c36.1-86.5 63.8-176.2 82.6-267.6c18.8-91.4 28.6-184.4 29.6-277.4c0.3-27.6 23.2-48.7 50.8-48.4s49.5 21.8 49.2 49.5c0 0.7 0 1.3-0.1 2L1549.2 51.6z'/%3E%3Cg id='g'%3E%3Cuse href='%23s' transform='scale(0.12) rotate(60)'/%3E%3Cuse href='%23s' transform='scale(0.2) rotate(10)'/%3E%3Cuse href='%23s' transform='scale(0.25) rotate(40)'/%3E%3Cuse href='%23s' transform='scale(0.3) rotate(-20)'/%3E%3Cuse href='%23s' transform='scale(0.4) rotate(-30)'/%3E%3Cuse href='%23s' transform='scale(0.5) rotate(20)'/%3E%3Cuse href='%23s' transform='scale(0.6) rotate(60)'/%3E%3Cuse href='%23s' transform='scale(0.7) rotate(10)'/%3E%3Cuse href='%23s' transform='scale(0.835) rotate(-40)'/%3E%3Cuse href='%23s' transform='scale(0.9) rotate(40)'/%3E%3Cuse href='%23s' transform='scale(1.05) rotate(25)'/%3E%3Cuse href='%23s' transform='scale(1.2) rotate(8)'/%3E%3Cuse href='%23s' transform='scale(1.333) rotate(-60)'/%3E%3Cuse href='%23s' transform='scale(1.45) rotate(-30)'/%3E%3Cuse href='%23s' transform='scale(1.6) rotate(10)'/%3E%3C/g%3E%3C/defs%3E%3Cg %3E%3Cg transform=''%3E%3Ccircle fill='url(%23a)' r='3000'/%3E%3Cg opacity='0.5'%3E%3Ccircle fill='url(%23a)' r='2000'/%3E%3Ccircle fill='url(%23a)' r='1800'/%3E%3Ccircle fill='url(%23a)' r='1700'/%3E%3Ccircle fill='url(%23a)' r='1651'/%3E%3Ccircle fill='url(%23a)' r='1450'/%3E%3Ccircle fill='url(%23a)' r='1250'/%3E%3Ccircle fill='url(%23a)' r='1175'/%3E%3Ccircle fill='url(%23a)' r='900'/%3E%3Ccircle fill='url(%23a)' r='750'/%3E%3Ccircle fill='url(%23a)' r='500'/%3E%3Ccircle fill='url(%23a)' r='380'/%3E%3Ccircle fill='url(%23a)' r='250'/%3E%3C/g%3E%3Cg transform='rotate(-324 0 0)'%3E%3Cuse href='%23g' transform='rotate(10)'/%3E%3Cuse href='%23g' transform='rotate(120)'/%3E%3Cuse href='%23g' transform='rotate(240)'/%3E%3C/g%3E%3Ccircle fill-opacity='0' fill='url(%23a)' r='3000'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    background-attachment: fixed;
    background-size: cover;
}
.hero-content p:first-child {
    margin-bottom: 10px;
    color: #ee9d1b;
    text-transform: uppercase;
    font-weight: 600;
}
.hero-content p {
    max-width: 30%;
    text-align: center;
    margin-block: 2em;
    font-size: 13px;
    color: rgb(147, 147, 147);
    font-weight: 500;
}

.cta-btns {
    display: inline-flex;
    gap: 30px;
}
.cta-btns .login-btn {
    width: 14em;
    padding-block: 10px;
}
.cta-btns .login-btn:nth-of-type(2) {
    background: none;
    color: #34b8b7;
    border: 1px solid #34b8b7;
}

.small-circles {
    position: absolute;
    background-color: var(--color);
    width: var(--multi);
    /* width: 40px; */
    height: var(--multi);
    border-radius: 50%;
    animation: small cubic-bezier(0.68, -0.55, 0.265, 1.55) 15s
        alternate-reverse infinite;
    animation-delay: var(--i);
}

.hero-content .small-circles:nth-of-type(4) {
    left: 10%;
    /* top: 20%; */
}
.hero-content .small-circles:nth-of-type(5) {
    top: 2%;
}

.hero-content .small-circles:nth-of-type(6) {
    bottom: 0%;
    left: 20%;
}

@keyframes small {
    0% {
        transform: translateY(0px);
    }
    100% {
        transform: translateY(100px);
    }
}

.product-images-holder {
    position: relative;
    /* opacity: 0.9; */

    display: flex;
    margin-top: 3em;
    justify-content: center;
    /* transform: translateY(-5%); */
}

.product-images-holder img {
    width: 80%;
    border: 2px solid rgb(231, 231, 231);
    border-radius: 10px;
}

.opacity {
    position: absolute;
    bottom: 0%;
    width: 100%;
    height: 5em;
    /* backdrop-filter: blur(40px); */
    box-shadow: 10px -10px 100px 40px white;
    background: linear-gradient(to bottom, rgb(255, 255, 255), white);
}

/* .product-images-holder img{
    scale: 0.7;
    object-fit: cover;
    width: 100%;
}
.product-images-holder img:first-child{
    position: absolute;
    z-index: 44;
    left: 0;
    transform: translateX(10%) translateY(10%);

} */

#works {
    position: relative;
    width: 100%;
    z-index: 40;
    background: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5em clamp(0.7em, 7vw, 10em) 5em clamp(0.7em, 7vw, 10em);
    p:nth-of-type(1) {
        margin-bottom: 10px;
        color: #ee9d1b;
        text-transform: uppercase;
        font-weight: 600;
    }
    p {
        font-size: 12px;
        color: grey;
        font-weight: 500;
        margin-bottom: 2.5rem;
    }
    img {
        width: 70%;
    }
}
/* #works img {
  width: max(30em, 50%);
} */

#features {
    margin-top: 5em;
    h1 {
        padding: 0 clamp(0.7em, 7vw, 10em);
        font-size: clamp(1.2em, 1.7vw, 1.7em);
    }
    .feature {
        padding: 0 clamp(0.7em, 7vw, 10em);
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: calc(10% / 3);
        .feature-child {
            margin-block: 4em;

            img {
                width: 40px;
            }
            p:nth-of-type(1) {
                font-weight: 600;
                margin-top: 1.2em;
                margin-bottom: 0.5em;
                font-size: 14px;
                color: black;
            }
            p {
                /* max-width: min(30em,100%); */
                color: grey;
                font-size: 11px;
                font-weight: 600;
            }
        }
    }

    .more {
        background: #34b8b814;
        /* height: 100vh; */
        border-radius: 8px;
        /* margin: 0 clamp(1em, 4vw, 4em); */
        padding: 6em clamp(0.7em, 7vw, 10em);
        display: flex;
        align-items: center;
        gap: calc(20% / 2);
        .content {
            width: 100%;
            text-align: left;
            max-width: 30em;
            p:nth-of-type(1) {
                margin-bottom: 10px;
                color: #ee9d1b;
                text-transform: uppercase;
                font-weight: 600;
            }
            p {
                font-size: 12px;
                color: rgb(147, 147, 147);
                font-weight: 500;
            }
            h3 {
                font-size: clamp(1.2em, 2.3vw, 2.3em);
                margin-bottom: 0.4em;
            }
        }
        .display {
            width: 100%;
            img {
                width: 100%;
                border: 2px solid rgb(231, 231, 231);
                border-radius: 10px;
            }
        }
    }
    .more.noback {
        background: transparent;
        img {
            border: none;
        }
    }
}

#cta-main {
    /* width: 100%; */
    text-align: center;
    padding: 5em clamp(0.7em, 7vw, 10em);
    /* margin: 0 clamp(1em, 4vw, 4em); */
    background: #ee9d1b;

    display: grid;
    width: 100%;
    grid-template-columns: 1fr;
    /* border-radius: 10px; */
    place-items: center;
    h3 {
        color: white;
    }
    p {
        color: white;
        max-width: 40em;
        font-size: 12px;
        margin-block: 10px 20px;
    }
    button {
        background: white;
        max-width: 10em;
        width: 100%;
        color: #ee9d1b;
    }
}
footer {
    padding: 5em clamp(0.7em, 7vw, 10em);

    .top-info {
        margin-bottom: 2em;
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: fit-content;
        .top-content {
            img {
                width: 10em;
            }
            p:nth-of-type(1) {
                font-weight: 700;
                margin-block: 1em 0.7em;
            }
            p {
                font-size: 12px;
                font-weight: 500;
            }
        }
    }
    .bottom {
        display: flex;
        justify-content: space-between;
        align-items: center;
        p {
            font-weight: 600;
            font-size: 14px;
        }
        .socials {
            ul {
                list-style: none;
                display: inline-flex;
                gap: 20px;
                li {
                    .footer__social__cta {
                        display: inline-block;
                        background-color: black;
                        border-radius: 100%;
                        display: grid;
                        place-items: center;
                        transition: background-color 0.2s;
                        svg {
                            width: 30px;
                            height: 30px;
                            fill: white;
                        }
                    }
                }
            }
        }
    }
}
.actions.show {
    display: none;
}

#buy-token {
    width: 100%;
    min-height: 100vh;
    display: grid;
    nav {
        margin-top: 0;
        padding-top: 1em;
    }
    #form-content {
        width: 80%;
        place-self: center;
        display: flex;
        justify-content: center;
        gap: 3em;
        margin: 5em clamp(1em, 4vw, 4em) 2.5em clamp(1em, 4vw, 4em);

        .content-text {
            margin-top: 2em;
            h1 {
                font-size: clamp(1.7em, 3vw, 4em);
                line-height: 1em;
                span {
                    color: #ee9d1b;
                }
            }
            p {
                color: grey;
                font-size: 14px;
                margin-top: 10px;
                font-weight: 500;
            }
        }
    }
    .payment--provider--holder {
        display: flex;
        align-items: center;
        justify-content: space-between;
        border: 1.5px solid grey;
        height: 35px;
        padding: 0 1em;
        border-radius: 5px;

        .custom--radio {
            width: 18px;
            height: 18px;
            display: grid;
            place-items: center;
            border-radius: 100%;
            border: 2px solid rgba(46, 46, 46, 0.7);
        }
        input {
            display: none;
        }

        div {
            display: flex;
            align-items: center;
            justify-content: center;
            img {
                width: 80%;
            }
        }
    }
    .all-pay-holder {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 0.7em;
    }
    .payment--provider--holder:has(:checked) > .custom--radio div {
        width: 80%;
        height: 80%;
        border-radius: 100%;
        background: #ee9d1b;
    }
    #buy-token-form {
        .payment--method {
            display: grid;
            grid-template-columns: 1fr 1fr;
        }
        width: 100%;
        #save_btn {
            width: 100%;
            font-size: 13px;
            font-weight: 700;
            padding: 8px;
            margin-top: 24px;
            background: #ee9d1b;
            outline: none;
            border: none;
            color: white;
        }
        .contact--info {
            width: 100%;
            display: flex;
            gap: 2rem;
            .form-input {
                width: 100%;
            }
        }
        .input-label {
            font-size: 13px;
            font-weight: 600;
            padding-bottom: 4px;
            text-wrap: nowrap;
        }
        .form-input {
            position: relative;
            margin-top: 20px;
            label {
                display: block;
            }
            input,
            select {
                width: 100%;
                padding: 6px;
                border-radius: 2px;
                border: 1.3px solid grey;
            }
        }
        width: 100%;
        max-width: min(90%, 30em);
        background: white;
        /* background-color: red; */
        padding: 10px;
        margin-inline: auto;
        border: 2px solid rgb(215, 215, 215);
        border-radius: 5px;
        .select-vent-type {
            display: flex;
            width: 100%;
            gap: 2rem;
        }
        .type--holder {
            user-select: none;
            width: 100%;
            input {
                display: none;
            }
            input:checked ~ .vend-type {
                border: 2px solid #ee9d1b;

                background-color: #fffcfa;
                background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2000 1500'%3E%3Cdefs%3E%3Crect stroke='%23FFFCFA' stroke-width='0' width='1' height='1' id='s'/%3E%3Cpattern id='a' width='3' height='3' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cuse fill='%23fcf9f7' href='%23s' y='2'/%3E%3Cuse fill='%23fcf9f7' href='%23s' x='1' y='2'/%3E%3Cuse fill='%23faf7f5' href='%23s' x='2' y='2'/%3E%3Cuse fill='%23faf7f5' href='%23s'/%3E%3Cuse fill='%23f7f4f2' href='%23s' x='2'/%3E%3Cuse fill='%23f7f4f2' href='%23s' x='1' y='1'/%3E%3C/pattern%3E%3Cpattern id='b' width='7' height='11' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23f5f2f0'%3E%3Cuse href='%23s'/%3E%3Cuse href='%23s' y='5' /%3E%3Cuse href='%23s' x='1' y='10'/%3E%3Cuse href='%23s' x='2' y='1'/%3E%3Cuse href='%23s' x='2' y='4'/%3E%3Cuse href='%23s' x='3' y='8'/%3E%3Cuse href='%23s' x='4' y='3'/%3E%3Cuse href='%23s' x='4' y='7'/%3E%3Cuse href='%23s' x='5' y='2'/%3E%3Cuse href='%23s' x='5' y='6'/%3E%3Cuse href='%23s' x='6' y='9'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='h' width='5' height='13' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23f5f2f0'%3E%3Cuse href='%23s' y='5'/%3E%3Cuse href='%23s' y='8'/%3E%3Cuse href='%23s' x='1' y='1'/%3E%3Cuse href='%23s' x='1' y='9'/%3E%3Cuse href='%23s' x='1' y='12'/%3E%3Cuse href='%23s' x='2'/%3E%3Cuse href='%23s' x='2' y='4'/%3E%3Cuse href='%23s' x='3' y='2'/%3E%3Cuse href='%23s' x='3' y='6'/%3E%3Cuse href='%23s' x='3' y='11'/%3E%3Cuse href='%23s' x='4' y='3'/%3E%3Cuse href='%23s' x='4' y='7'/%3E%3Cuse href='%23s' x='4' y='10'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='c' width='17' height='13' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23f2efed'%3E%3Cuse href='%23s' y='11'/%3E%3Cuse href='%23s' x='2' y='9'/%3E%3Cuse href='%23s' x='5' y='12'/%3E%3Cuse href='%23s' x='9' y='4'/%3E%3Cuse href='%23s' x='12' y='1'/%3E%3Cuse href='%23s' x='16' y='6'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='d' width='19' height='17' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23FFFCFA'%3E%3Cuse href='%23s' y='9'/%3E%3Cuse href='%23s' x='16' y='5'/%3E%3Cuse href='%23s' x='14' y='2'/%3E%3Cuse href='%23s' x='11' y='11'/%3E%3Cuse href='%23s' x='6' y='14'/%3E%3C/g%3E%3Cg fill='%23efeceb'%3E%3Cuse href='%23s' x='3' y='13'/%3E%3Cuse href='%23s' x='9' y='7'/%3E%3Cuse href='%23s' x='13' y='10'/%3E%3Cuse href='%23s' x='15' y='4'/%3E%3Cuse href='%23s' x='18' y='1'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='e' width='47' height='53' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23F60'%3E%3Cuse href='%23s' x='2' y='5'/%3E%3Cuse href='%23s' x='16' y='38'/%3E%3Cuse href='%23s' x='46' y='42'/%3E%3Cuse href='%23s' x='29' y='20'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='f' width='59' height='71' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23F60'%3E%3Cuse href='%23s' x='33' y='13'/%3E%3Cuse href='%23s' x='27' y='54'/%3E%3Cuse href='%23s' x='55' y='55'/%3E%3C/g%3E%3C/pattern%3E%3Cpattern id='g' width='139' height='97' patternUnits='userSpaceOnUse' patternTransform='scale(24.8) translate(-959.68 -719.76)'%3E%3Cg fill='%23F60'%3E%3Cuse href='%23s' x='11' y='8'/%3E%3Cuse href='%23s' x='51' y='13'/%3E%3Cuse href='%23s' x='17' y='73'/%3E%3Cuse href='%23s' x='99' y='57'/%3E%3C/g%3E%3C/pattern%3E%3C/defs%3E%3Crect fill='url(%23a)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23b)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23h)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23c)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23d)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23e)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23f)' width='100%25' height='100%25'/%3E%3Crect fill='url(%23g)' width='100%25' height='100%25'/%3E%3C/svg%3E");
                /* background-attachment: fixed; */
                background-size: cover;
            }

            .vend-type {
                border-radius: 5px;
                padding: 10px;
                border: 2px solid rgb(193, 193, 193);
                display: grid;

                place-items: center;
                svg {
                    width: 40px;
                    height: 40px;
                }

                p {
                    font-size: 12px;
                    font-weight: 600;
                }
            }
        }
    }
}

@media only screen and (max-width: 900px) {
    #buy-token {
        .all-pay-holder {
            grid-template-columns: 1fr;
        }
    }

    #form-content {
        flex-direction: column-reverse;
        /* margin: 4em clamp(1em, 4vw, 4em) 2.5em clamp(1em, 4vw, 4em); */
        .content-text {
            place-self: center;
            max-width: min(82%, 30em);
        }
    }
}

@media only screen and (max-width: 780px) {
    #buy-token {
        #buy-token-form {
            max-width: 100%;
        }
    }

    #form-content {
        flex-direction: column-reverse;
        .content-text {
            place-self: center;
            max-width: 100%;
        }
    }

    nav {
        position: relative;
        padding: 1em clamp(1em, 4vw, 4em);
        /* margin: 0; */
        .ham {
            display: block;
            cursor: pointer;
            user-select: none;
        }
        .close-btn {
            display: block;
        }

        .top-links {
            padding: 1.5em;
            transform: translateX(200%);
            transition: all 0.5s ease-in-out;
            justify-content: start;
            position: fixed;
            top: 0%;
            height: 100vh;
            z-index: 10;
            /* width: 20px; */
            right: 0%;
            max-width: 15em;
            align-items: start;
            background: white;
            box-shadow: 1px 1px 30px 2px rgb(181, 181, 181);
            /* height: 100%; */
            flex-direction: column;
            li {
                a {
                    color: #000;
                }
            }
        }
        /* .logo{
        width: 100%;
    } */

        .actions {
            width: 100%;
            display: none;
        }
        .actions.show {
            display: flex;
            align-items: start;
            flex-direction: column;
            a {
                width: 100%;
            }
            button {
                margin-top: calc((20% / 3));
                width: 100%;
            }
        }
    }
    nav input:checked ~ .top-links {
        transform: translateX(0%);
    }
    footer {
        /* display: grid;
    place-items: center;
    */
        text-align: center;
        .top-info {
            flex-direction: column;
            gap: 1em;
            button {
                width: 70%;
            }
        }

        .bottom {
            margin-top: 3em;
            flex-direction: column;
            gap: 1em;
        }
    }
    .hero-content {
        .hero--text,
        p {
            max-width: 80%;
        }
        .product-images-holder {
            margin-top: 2em;
            .opacity {
                display: hidden;
                height: 10px;
            }
        }
    }
    #features {
        text-align: center;
        margin-top: 3em;
        h1 {
            margin-bottom: 1em;
        }
        .feature {
            grid-template-columns: repeat(1, 1fr);
            gap: 0;
            .feature-child {
                display: grid;
                text-align: center;
                place-items: center;
                margin-block: 1.5em;
            }
        }
    }
    .more {
        flex-direction: column;
        .display {
            margin-top: 3em;
        }
    }
    .more > .content {
        max-width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        p {
            text-align: center;
        }
    }
    .more.noback {
        flex-direction: column-reverse;
    }
    #works {
        img {
            width: 90%;
        }
    }
}